<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getPurchasedServers](./bitburner.ns.getpurchasedservers.md)

## NS.getPurchasedServers() method

Returns an array with the hostnames of all of the servers you have purchased.

**Signature:**

```typescript
getPurchasedServers(): string[];
```
**Returns:**

string\[\]

Returns an array with the hostnames of all of the servers you have purchased.

## Remarks

2.25 GB

